%global eclipse_base	%{_libdir}/eclipse
%global install_loc		%{_datadir}/eclipse/dropins

Name:			eclipse-wtp-servertools
Version:		3.3.1
Release:		4%{?dist}
Summary:		WTP Server Tools

Group:			Development/Tools
License:		EPL
URL:			http://www.eclipse.org/webtools/server/server.php

Source0:		%{name}-%{version}-fetched-src.tar.bz2
Source1:		fetch-wtp-servertools.sh

BuildArch:		noarch

BuildRequires: eclipse-platform >= 1:3.8.0
BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: eclipse-emf >= 2.6.0
BuildRequires: eclipse-wtp-common >= 3.3.1
BuildRequires: eclipse-gef

Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-emf >= 2.6.0
Requires: eclipse-wtp-common >= 3.3.1
Requires: eclipse-gef

%description
The Server tools project is responsible for the framework and adapters 
for selected servers. It provides a generic infrastructure and J2EE specific 
server components. 

%prep
%setup -q

#Remove license attributes from feature.xml
find -name feature.xml -exec sed -i -e 's/license-feature.*"//' '{}' \;

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.server_ui.feature \
	-d "org.eclipse.wst.server_core.feature 
		org.eclipse.wst.common_core.feature 
		org.eclipse.wst.common.fproj 
		org.eclipse.wst.common_ui.feature"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.jst.server_ui.feature \
	-d "emf 
		org.eclipse.wst.server_core.feature 
		org.eclipse.wst.common_core.feature 
		org.eclipse.wst.common.fproj 
		org.eclipse.jst.common.fproj.enablement.jdt"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.server_adapters.feature -d "gef"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.jst.server_adapters.feature

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.jst.server_adapters.ext.feature

%install
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_ui.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.server_adapters.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.ext.feature

%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_ui.feature \
     build/rpmBuild/org.eclipse.jst.server_ui.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature \
     build/rpmBuild/org.eclipse.wst.server_ui.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.server_adapters.feature \
     build/rpmBuild/org.eclipse.wst.server_adapters.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.feature \
     build/rpmBuild/org.eclipse.jst.server_adapters.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.ext.feature \
     build/rpmBuild/org.eclipse.jst.server_adapters.ext.feature.zip


# Remove duplicate JARs (from eclipse-wtp-commons)
pushd %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature/eclipse/plugins
rm -f org.eclipse.wst.internet.monitor.core_*.jar
rm -f org.eclipse.wst.server.core_*.jar
popd

%files
%{install_loc}/org.eclipse.jst.server_ui.feature
%{install_loc}/org.eclipse.wst.server_ui.feature
%{install_loc}/org.eclipse.wst.server_adapters.feature
%{install_loc}/org.eclipse.jst.server_adapters.feature
%{install_loc}/org.eclipse.jst.server_adapters.ext.feature

%doc docs/org.eclipse.jst.server.ui.doc.user/about.html

%changelog
* Fri Feb 10 2012 vladimir <vladimir@dev.technogamma.biz> 3.3.1-4
- Source tarball patched so it complies with Jetty 8 & javax.servlet 3.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 3 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-2
- Fixed files section in .spec

* Sat Oct 29 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-1
- Initial Fedora package
